CompilePhaseAdapter (Groovy 4.0.15)

Package: groovy.console.ui

## [Groovy] Enum CompilePhaseAdapter

- groovy.console.ui.CompilePhaseAdapter

-     @CompileStatic
      final enum CompilePhaseAdapter
      extends Enum<E<E>>

  An adapter for the CompilePhase enum that can be entered into a Swing combobox.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static CompilePhaseAdapter` | `CANONICALIZATION` |
    `static CompilePhaseAdapter` | `CLASS_GENERATION` |
    `static CompilePhaseAdapter` | `CONVERSION` |
    `static CompilePhaseAdapter` | `FINALIZATION` |
    `static CompilePhaseAdapter` | `INITIALIZATION` |
    `static CompilePhaseAdapter` | `INSTRUCTION_SELECTION` |
    `static CompilePhaseAdapter` | `MAX_VALUE` |
    `static CompilePhaseAdapter` | `MIN_VALUE` |
    `static CompilePhaseAdapter` | `OUTPUT` |
    `static CompilePhaseAdapter` | `PARSING` |
    `static CompilePhaseAdapter` | `SEMANTIC_ANALYSIS` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `int` | `phaseId`
    `String` | `string`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `toString()`

- - ### Field Detail

    - #### public static final CompilePhaseAdapter CANONICALIZATION

    - #### public static final CompilePhaseAdapter CLASS_GENERATION

    - #### public static final CompilePhaseAdapter CONVERSION

    - #### public static final CompilePhaseAdapter FINALIZATION

    - #### public static final CompilePhaseAdapter INITIALIZATION

    - #### public static final CompilePhaseAdapter INSTRUCTION_SELECTION

    - #### public static final CompilePhaseAdapter MAX_VALUE

    - #### public static final CompilePhaseAdapter MIN_VALUE

    - #### public static final CompilePhaseAdapter OUTPUT

    - #### public static final CompilePhaseAdapter PARSING

    - #### public static final CompilePhaseAdapter SEMANTIC_ANALYSIS

  - ### Property Detail

    - #### final int phaseId

    - #### final String string

  - ### Method Detail

    - #### String toString()